## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# celVariableParameterBlock Member List

This is the complete list of members for celVariableParameterBlock, including all inherited members.

celVariableParameterBlock() | celVariableParameterBlock | `[inline]`
celVariableParameterBlock(iCelParameterBlock *other) | celVariableParameterBlock | `[inline]`
GetParameter(size_t idx) | celVariableParameterBlock | `[inline]`
GetParameter(size_t idx, csStringID &id, celDataType &t) const | celVariableParameterBlock | `[inline, virtual]`
GetParameter(csStringID id) const | celVariableParameterBlock | `[inline, virtual]`
GetParameterCount() const | celVariableParameterBlock | `[inline, virtual]`
SCF_DECLARE_IBASE | celVariableParameterBlock |
SetParameterDef(size_t idx, csStringID id, const char *parname) | celVariableParameterBlock | `[inline]`
~celVariableParameterBlock() | celVariableParameterBlock | `[inline, virtual]`